variables:
  VERSION: "0.3-wip"

build_and_push:
  image: docker:26.1.4
  only:
    - main
    - article-2
  services:
    - docker:26.1.4-dind
  before_script:
    - docker login -u $GITLAB_USER -p $GITLAB_PASSWORD registry.gitlab.com

  stage: build
  script:
    - docker build . -t registry.gitlab.com/pacificator-consortium/majorjohn/game5-group/game5-blog:game5-blog-$VERSION -f docker/Dockerfile-game5blog.dockerfile
    - docker push registry.gitlab.com/pacificator-consortium/majorjohn/game5-group/game5-blog:game5-blog-$VERSION